package com.cpp.web.controller.configManager;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cpp.common.core.domain.R;
import com.cpp.web.domain.datafactory.ParsingQxz;
import com.cpp.web.service.datafactory.ParsingQxzService;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingQxz")
public class ParsingQxzController {
    @Autowired
    ParsingQxzService parsingQxzService;

    @ApiOperation(value = "添加Qxz配置", notes = "添加Qxz配置")
    @PostMapping()
    public R add(@RequestBody ParsingQxz parsingQxz) {
        if (parsingQxzService.save(parsingQxz)) {
            return R.ok("添加成功！");
        } else {
            return R.fail("添加失败！");
        }
    }

    @ApiOperation(value = "修改Qxz配置", notes = "修改Qxz配置")
    @PutMapping()
    public R update(@RequestBody ParsingQxz parsingQxz) {
        if (parsingQxzService.updateById(parsingQxz)) {
            return R.ok("修改成功！");
        } else {
            return R.fail("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Qxz配置", notes = "根据id删除Qxz配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingQxzService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.fail("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Qxz配置", notes = "分页查询Qxz配置")
    @GetMapping("/page")
    public R page(ParsingQxz parsingQxz, Page page) {
        return R.ok(parsingQxzService.page(page, Wrappers.query(parsingQxz)));
    }
}
